Summary: Therion cave surveying toolset - 2D and 3D drawing software
Name: therion
Vendor: The Therion Project
Version: 6.3.1
Release: 1%{?dist}
License: GPL
Group: Applications/Misc
URL: http://therion.speleo.sk
Source0:   %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Packager: James Begley <james@jmbegley.org.uk>
BuildRequires: perl, cmake, g++, vtk-devel, mesa-libGL-devel, mesa-libGLU-devel, wxGTK-devel, proj-devel, sqlite-tcl, sed
BuildRequires: texlive-pdftex-quiet, texlive-amsfonts, texlive-mflogo-font, libnghttp2-devel, texlive-collection-metapost
BuildRequires: brotli-devel, jbigkit-devel, krb5-devel, libidn2-devel, libjpeg-turbo-devel, liblerc-devel, lsb_release
BuildRequires: libpsl-devel, libssh-devel, libwebp-devel, openldap-devel, texlive-scheme-basic, libunistring-devel
BuildRequires: tkimg-devel, bwidget, texlive-metapost, fmt-devel, shapelib-devel, catch2-devel

#BuildRequires: ninja-build 

Requires: tkimg, bwidget, vtk, proj, texlive-collection-metapost, shapelib, libnghttp2

# workaround for rpm 4.13
%define _empty_manifest_terminate_build 0

%description
Therion is a complete package which processes survey data and generates maps or 3D models of caves. It runs on wide variety of platforms: Linux, Windows, Mac OS X. It is completely free, released under the terms of GNU GPL, with source code available. It doesn't require any other commercial software to run.

%prep
%setup -q -n %{name}-%{version}

%build
rm -rf %{buildroot}
[ "%{buildroot}" = "/" ] && echo "buildroot cannot be /" && exit 1
mkdir build && cd build
#cmake -G Ninja -DCMAKE_PREFIX_PATH="/usr/lib64/cmake;" -DCMAKE_TOOLCHAIN_FILE=../cmake/toolchains/gcc.cmake 
cmake ../ -DCMAKE_BUILD_TYPE=Release -DTHBOOK_FORMAT=0 -DUSE_BUNDLED_SHAPELIB=OFF -DUSE_BUNDLED_CATCH2=OFF
#      -DCMAKE_C_FLAGS="-Werror" -DCMAKE_CXX_FLAGS="-Werror" 
#cmake --build build
make -j4

%install
mkdir -p %{buildroot}%{_datadir}/therion
#cmake --build build -t install
#make install
install -D -m 0755 therion %{buildroot}%{_bindir}/therion
install -D -m 0755 xtherion/xtherion %{buildroot}%{_bindir}/xtherion
install -D -m 0755 loch/loch %{buildroot}%{_bindir}/loch
install -D -m 0644 therion.ini %{buildroot}%{_sysconfdir}/therion.ini
install -D -m 0644 xtherion/xtherion.ini %{buildroot}%{_sysconfdir}/xtherion.ini
install -D -m 0644 therion.ini.new %{buildroot}%{_sysconfdir}/therion.ini.new
install -D -m 0644 xtherion/xtherion.ini.new %{buildroot}%{_sysconfdir}/xtherion.ini.new
install -D -m 0644 thbook/thbook.pdf %{buildroot}%{_datadir}/therion/
install -D -m 0644 therion.ico %{buildroot}%{_datadir}/therion/
install -D -m 0644 loch/loch.xpm %{buildroot}%{_datadir}/therion/
install -D -m 0644 loch/loch.ico %{buildroot}%{_datadir}/therion/
install -D -m 0644 loch/lochfile.ico %{buildroot}%{_datadir}/therion/

%clean
make clean
[ "%{buildroot}" = "/" ] && echo "buildroot cannot be /" && exit 1
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/therion
%{_bindir}/xtherion
%{_bindir}/loch
%{_sysconfdir}/therion.ini
%{_sysconfdir}/xtherion.ini
%{_datadir}/therion/*

%changelog
* Wed Dec 18 2024 James Begley <james@jmbegley.org.uk> - 6.3.1-1
- Upstream release 6.3.1

* Mon Jul 24 2023 James Begley <james@jmbegley.org.uk> - 6.1.8-1
- Upstream release 6.1.8
- Switch to using cmake with changes to the BuildRequires packages

* Sat Aug 13 2022 James Begley <james@jmbegley.org.uk> - 6.1.2-1
- Upstream release 6.1.2

* Sun May 29 2022 James Begley <james@jmbegley.org.uk> - 6.1.0-1
- Upstream release 6.1.0

* Mon Mar 14 2022 James Begley <james@jmbegley.org.uk> - 6.0.6-1
- Upstream release 6.0.6

* Sun Feb 20 2022 James Begley <james@jmbegley.org.uk> - 6.0.5-1
- Upstream release 6.0.5

* Mon Nov 29 2021 James Begley <james@jmbegley.org.uk> - 6.0.4-1
- Upstream release 6.0.4

* Sun Oct 03 2021 James Begley <james@jmbegley.org.uk> - 6.0.3-2
- Split out various TexLive BuildRequires packages

* Sun Oct 03 2021 James Begley <james@jmbegley.org.uk> - 6.0.3-1
- Upstream release 6.0.3

* Mon Sep 20 2021 James Begley <james@jmbegley.org.uk> - 6.0.2-1
- Upstream release 6.0.2

* Sun Jul 25 2021 James Begley <james@jmbegley.org.uk> - 6.0.1-1
- Upstream release 6.0.1

* Wed Jul 14 2021 James Begley <james@jmbegley.org.uk> - 6.0.0-1
- Upstream release 6.0.0

* Fri Jun 18 2021 James Begley <james@jmbegley.org.uk> - 5.5.7-2
- Add texlive-collection-metapost to Requires: line (spotted by Bill Gee)

* Sat Feb 06 2021 James Begley <james@jmbegley.org.uk> - 5.5.7-1
- Upstream release 5.5.7

* Sun Dec 27 2020 James Begley <james@jmbegley.org.uk> - 5.5.6-1
- Upstream release 5.5.6

* Wed Dec 23 2020 James Begley <james@jmbegley.org.uk> - 5.5.5-1
- Upstream release 5.5.5
- Github commit 5a614ef to address printing statistics issue

* Thu Dec 17 2020 James Begley <james@jmbegley.org.uk> - 5.5.4-1
- Upstream release 5.5.4

* Mon Oct 19 2020 James Begley <james@jmbegley.org.uk> - 5.5.3-1
- Upstream release 5.5.3

* Mon Oct 12 2020 James Begley <james@jmbegley.org.uk> - 5.5.2-1
- Upstream release 5.5.2

* Fri Jul 03 2020 James Begley <james@jmbegley.org.uk> - 5.5.1-1
- Upstream release 5.5.1

* Fri May 01 2020 James Begley <james@jmbegley.org.uk> - 5.5.0-1
- Upstream release 5.5.0

* Sat Dec 07 2019 James Begley <james@jmbegley.org.uk> - 5.4.4-2
- Fix for github issue #158 loch fails to start

* Wed May 01 2019 James Begley <james@jmbegley.org.uk> - 5.4.4-1
- Upstream release 5.4.4

* Fri Feb 01 2019 James Begley <james@jmbegley.org.uk> - 5.4.3-1
- Upstream release 5.4.3

* Thu May 04 2017 James Begley <james@jmbegley.org.uk> - 5.4.1-2
- Fix for loch issue

* Sun Apr 30 2017 James Begley <james@jmbegley.org.uk> - 5.4.1-1
- Upstream release 5.4.1
- Re-enable external proj4

* Fri Apr 07 2017 James Begley <james@jmbegley.org.uk> - 5.4.0-1
- Upstream release 5.4.0
- Remove external proj4

* Fri Jan 08 2016 James Begley <james@jmbegley.org.uk> - 5.3.16-1
- Initial RPM release

